%define module pyxmpp
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:		python-xmpp
Version:	1.1.2
Release:	%mkrel 8
URL:		http://pyxmpp.jajcus.net/
Summary:	Python Jabber/XMPP implementation
Source0:	http://pyxmpp.jajcus.net/downloads/%{module}-%{version}.tar.gz
Group:		System/Libraries
License:	LGPLv2
BuildRequires:	python-m2crypto 
BuildRequires:	dnspython
BuildRequires:	python-libxml2
BuildRequires:	python-devel
BuildRequires:	libxml2-devel

Requires:	python-m2crypto
Requires:	dnspython
Requires:	python-libxml2

%description
PyXMPP is a Python XMPP (RFC 3920,3921) and Jabber implementation. It
is based on libxml2 -- fast and fully-featured XML parser.

PyXMPP provides most core features of the XMPP protocol and several
JSF-defined extensions. PyXMPP provides building blocks for creating
Jabber clients and components. Developer uses them to setup XMPP streams,
handle incoming events and create outgoing stanzas (XMPP "packets").

Features

 * nearly complete XMPP Core (RFC 3920) protocol for client connections
   (includes SASL, TLS and Strinprep).
 * mostly complete XMPP IM (RFC 3921) protocol (lacks privacy lists)
 * XMPP error objects including translations to and from legacy codes
   for backward compatibility (JEP-0086).
 * legacy authentication ("digest" and "plain") (JEP-0078).
 * component protocol (JEP-0114).
 * Service Discovery (JEP-0030).
 * vCards -- both Jabber "vcard-temp" and RFC 2426
 * basic parts of the Multi-User Chat protocol (JEP-0045)
 * delayed delivery time stamps (JEP-0091).
 * Data Forms (JEP-0004).
 * In-Band Registration (JEP-0077).

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot} --skip-build

%files
%doc ChangeLog COPYING PKG-INFO README TODO examples doc
%{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}-%{version}-*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 947009
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-7.mga5
+ Revision: 750810
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.2-6.mga5
+ Revision: 730021
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 688439
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 544483
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.2-2.mga4
+ Revision: 499778
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 1.1.2-1.mga4
+ Revision: 491317
- don't provide private python extension libs

  + nmartin <nmartin>
    - update to new version 1.1.2
    - clean spec

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 379716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 1.0.0-1.mga3
+ Revision: 277239
- Remove a trailing space - thanks to fedya for the package
- imported package python-xmpp

